<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity VehicleRegistration.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="vehicle_document_requirement"
                                 constraintName="fk_vehicle_registration_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idbilto"
                                 baseTableName="vehicle_document_requirement"
                                 constraintName="fk_vehicle_registration_bill_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

        <addForeignKeyConstraint baseColumnNames="idvendor"
                                 baseTableName="vehicle_document_requirement"
                                 constraintName="fk_vehicle_registration_vendor_id"
                                 referencedColumnNames="idvendor"
                                 referencedTableName="vendor"/>

    </changeSet>
</databaseChangeLog>
